Address Related Wallets
Data Freshness & Historical Coverage
For data freshness and historical coverage, see Data Coverage by Chain; this endpoint follows it except where noted below.
Returns a current, point-in-time view of related wallets — there is no date-range parameter or historical look-back; relationships are derived from on-chain activity and reflect within the standard live latency.
Get wallets that are related to the input address through various types of blockchain interactions and relationships. Returns detailed information about each related wallet including the relationship type, transaction details, and timing information.
API key for authentication
Wallet address to get related wallets for. Required, unless the deprecated address field is sent.
0x28c6c06298d514db089934071355e5743bf21d60Deprecated: Use 'wallet_address' instead. Alias of wallet_address. If you send both fields, they must contain the same address.
Blockchain chain for the related wallets data
ethereumPossible values: Custom sort order to override the endpoint's default ordering
Address related wallets data
Bad Request
Unauthorized
Payment Required
Forbidden
Not Found
Unprocessable Content
Too Many Requests
Internal Server Error
Bad Gateway
Service Unavailable
Gateway Timeout
POST /api/v1/profiler/address/related-wallets HTTP/1.1
Host: api.nansen.ai
apikey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 169
{
"wallet_address": "0x28c6c06298d514db089934071355e5743bf21d60",
"chain": "ethereum",
"pagination": {
"page": 1,
"per_page": 10
},
"order_by": [
{
"field": "order",
"direction": "ASC"
}
]
}{
"pagination": {
"page": 1,
"per_page": 10,
"is_last_page": true
},
"data": [
{
"address": "text",
"address_label": "text",
"relation": "text",
"transaction_hash": "text",
"block_timestamp": "text",
"order": 1,
"chain": "text"
}
]
}Last updated
Was this helpful?